AbstractCommandsClient (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.client.AbstractCommandsClient class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent.client
Class AbstractCommandsClient

    java.lang.Object
      org.hyperic.hq.agent.client.AbstractCommandsClient

Direct Known Subclasses:
  AgentCommandsClientImpl, AICommandsClientImpl, ControlCommandsClientImpl, LiveDataCommandsClientImpl, MeasurementCommandsClientImpl

    public abstract class AbstractCommandsClient

extends java.lang.Object

The abstract class that all Commands Clients using the new transport should extend.

Field Summary
`protected org.apache.commons.logging.Log` | `_log`

Constructor Summary
`protected` | `AbstractCommandsClient(Agent agent, AgentProxyFactory factory)`

Method Summary
`Agent` | `getAgent()`
`protected java.lang.Object` | `getAsynchronousProxy(java.lang.Class serviceInterface, boolean guaranteed)`
`protected java.lang.Object` | `getSynchronousProxy(java.lang.Class serviceInterface)` Retrieve a synchronous proxy to a remote service.
`protected void` | `safeDestroyService(java.lang.Object proxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    protected final org.apache.commons.logging.Log _log

Constructor Detail

### AbstractCommandsClient

    protected AbstractCommandsClient(Agent agent,
                                     AgentProxyFactory factory)

Method Detail

### getAgent

    public Agent getAgent()

### safeDestroyService

    protected final void safeDestroyService(java.lang.Object proxy)

### getSynchronousProxy

    protected final java.lang.Object getSynchronousProxy(java.lang.Class serviceInterface)
                                                  throws AgentConnectionException

  Retrieve a synchronous proxy to a remote service.

  Parameters:
    `serviceInterface` - The service interface. It is expected that all service interface operations throw an `AgentRemoteException`.
  Returns:
    The synchronous proxy.
  Throws:
    `AgentConnectionException` - if there is an error creating the proxy.
    `java.lang.IllegalArgumentException` - if any of the service interface operations do not throw an `AgentRemoteException`.

### getAsynchronousProxy

    protected final java.lang.Object getAsynchronousProxy(java.lang.Class serviceInterface,
                                                          boolean guaranteed)
                                                   throws AgentConnectionException

  Throws:
    `AgentConnectionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.